/*------------------------------------*\
    #ADDRESS
\*------------------------------------*/
/**
 * Addresses component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}addresses,
%#{$inuit-namespace}addresses {
    &--general {
        list-style: none;
        display: inline;

        li {
            list-style-type: none;
            line-height: 35px;
            padding-left: 30px;

            > .c-addresses__editlink,
            > svg {
                margin-left: -30px;
            }

            svg {
                width: 20px;
                height: 20px;
                margin-top: -5px;
                margin-right: 5px;
                vertical-align: middle;
                stroke: $frs-color-blue;
            }
        }

    }

    &--listingcontainer {
        h3 {
            margin: 60px 0 0;
        }
    }

    &--listinggroup {
        list-style: none;
        display: inline-block;
        padding: 0;

        li {
            list-style-type: none;
            line-height: 25px;
            padding-left: 30px;

            svg {
                width: 20px;
                height: 20px;
                margin-top: -5px;
                margin-right: 5px;
                margin-left: -30px;
                vertical-align: middle;
                stroke: $frs-color-blue;
            }
        }
    }

    &__img {
        max-width: 100%;
        height: auto;

        &--large {
            /**
            ** add fixed width and height to keep image map in aspect ratio
            **/
            width: 350px !important;
            height: 470px;
        }
    }

    &__table {
        float: left;
        text-align: left;
        width: 100%;
    }

    &__tableitem {
        line-height: 1.8;


        &--equal {
            padding-right: 2%;
            width: 50%;
        }
    }

    &__editlink {
        &:hover {
            text-decoration: none;
        }
    }

    &__map {
        margin-bottom: 30px;
        overflow: hidden;
    }
}
.c-addresses__map .o-gridblock__item--map img {
    width: 100% !important;
    max-width: 350px !important;
    height: auto !important;
}
.tx-drk-adressen .c-addresses {
    width: 100%;
    overflow: hidden;
    margin-bottom: 30px;
}
.tx-drk-adressen .c-addresses th,
.tx-drk-adressen .c-addresses td {
    min-width: 280px !important;
}
@media only screen and (max-width: 37em){
    .tx-drk-adressen .c-addresses {
        overflow-x: scroll !important;
    }
    .tx-drk-adressen .c-addresses th,
    .tx-drk-adressen .c-addresses td {
        padding-right: 30px !important;
    }
    .tx-drk-adressen .c-addresses th + th,
    .tx-drk-adressen .c-addresses td + td {
        padding-right: 0px !important;
    }
    .tx-drk-adressen .c-addresses::-webkit-scrollbar {
        width: 12px !important;
        -webkit-appearance: none !important;
    }

    .tx-drk-adressen .c-addresses::-webkit-scrollbar:horizontal {
        height: 12px;
    }

    /* Track */
    .tx-drk-adressen .c-addresses::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
        -webkit-border-radius: 10px !important;
        border-radius: 10px !important;
    }

    /* Handle */
    .tx-drk-adressen .c-addresses::-webkit-scrollbar-thumb {
        -webkit-border-radius: 10px !important;
        border-radius: 10px !important;
        background: #41617D !important;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important;
    }
    .tx-drk-adressen .c-addresses::-webkit-scrollbar-thumb:window-inactive {
        background: #41617D !important;
    }
}

